#include <iostream>
#include <algorithm>
using namespace std;
int main()
{
    int t,n,m,x;
    cin>>t;
    int d[t];
    for(int i=0;i<t;i++)
    {

        cin>>n>>m;
        long long a[n],b[m];
        for(int j=1;j<=n;j++)
             cin>>a[j];
        sort(a,a+n);
        for(int k=1;k<=m;k++)
             cin>>b[k];
        sort(b,b+m);
        x=a[1]-a[0];
        for(int j=0;j<n-2;j++)
        {
          if((a[j+2]-a[j+1])==x)
          {
             d[i]=1;


          }
        else
             d[i]=0;
        }
        for(int k=0;k<m-1;k++)
              if((b[k+1]-b[k]==x)
                    {
                      d[i]=0;
                      break;
                    }
    }
    for(int i=0;i<t;i++)
          cout<<d[i];

}